%set_verify_elf_method unresolved=relaxed
Name: kmymoney2
Version: 0.8.7
Release: alt0

Summary: A personal finance manager for KDE
Summary(ru_RU.UTF-8): Учёт финансов под KDE
License: GPL
Group: Office
Vendor: The KMyMoney development team <kmymoney2-developers@lists.sourceforge.net>
URL: http://kmymoney2.sourceforge.net/index-home.html

Packager: Andrey Cherepanov <cas@altlinux.ru>

Source0: kmymoney2-%version.tar.bz2

Patch0: kmymoney2-0.8.7-ru.patch
Patch1: kmymoney2-register.patch
Patch2: kmymoney2-plugins-build.patch

BuildPreReq: menu-devel desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: libofx-devel kdelibs-devel libqt3-devel libpng-devel libjpeg-devel aqbanking-frontend-kbanking-devel libOpenSP-devel libgwenhywfar-devel xml-utils
Requires(post,postun): desktop-file-utils
Requires: lib%name = %version-%release
Requires: libofx
Requires: aqbanking-frontend-kbanking
Requires: libOpenSP
Provides: %name = %version-%release

%description
KMyMoney2 provides a simple but functional personal finance
manager for KDE.
For the most up-to-date information and sources please
use the CVS repository available at http://kmymoney2.sourceforge.net/.

%package -n lib%name
Summary: Shared libraries for KMyMoney2
Group: System/Libraries
Requires: %name = %version-%release

%description -n lib%name
This package provides shared libraries for KMyMoney2 application.

%package devel
Summary: Header files for %name plugin development
Group: Development/KDE and QT
Requires: kmymoney2

%description devel
Header files for %name plugin development

%prep
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
subst "s/\.la/.so/g" ./configure

%build
%configure \
	--with-qt-libraries=%_libdir/qt3/lib \
	--enable-pdf-docs \
	--enable-charts \
	--enable-ofxplugin \
	--enable-ofxbanking \
	--enable-kbanking \
	--enable-new-ldflags \

%make_build

%install
make DESTDIR=%buildroot install

%find_lang --with-kde --with-man %name

%post
%update_desktopdb
%update_menus

%postun
%clean_desktopdb
%clean_menus

%post -n lib%name -p %post_ldconfig

%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%doc README README.Fileformats AUTHORS TODO INSTALL COPYING
%_bindir/*
%_man1dir/*
%_datadir/apps/kmymoney2
%_datadir/apps/kmm_kbanking/kmm_kbanking.rc
%_datadir/mimelnk/application/*
%_datadir/servicetypes/*
%_datadir/services/*.desktop
%_datadir/applications/kde/*
%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/16x16/mimetypes/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/hicolor/32x32/mimetypes/*
%_datadir/icons/hicolor/48x48/mimetypes/*
%_datadir/icons/hicolor/48x48/apps/*
%_datadir/icons/hicolor/64x64/apps/*
%_datadir/icons/hicolor/64x64/mimetypes/*
%_datadir/icons/hicolor/128x128/apps/*
%_datadir/icons/hicolor/128x128/mimetypes/*
%_datadir/icons/locolor/16x16/apps/*
%_datadir/icons/locolor/32x32/apps/*

%files -n lib%name
%_libdir/*.so*

%files devel
%_includedir/kmymoney

%changelog
* Fri Oct 12 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8.7-alt0
- Version 0.8.7

* Fri May 25 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8.6-alt4
- Fix Russian translation.
- Separated package:
  + lib%name: libraries

* Thu May 10 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8.6-alt3
- Fix build (update menus). Fix requires for kmymoney2-devel.

* Mon May 07 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8.6-alt2
- New version
- Fix Russian translation and template

* Mon Jan 29 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.8.6-alt1
- New version (cvs20070129)

* Wed Oct 25 2006 Andrew Kornilov <hiddenman@altlinux.ru> 0.8.5-alt1
- New version
- Spec cleanups
- Developement files are in the devel package now

* Mon Aug 22 2005 Igor Muratov <migor@altlinux.org> 0.8-alt0
- first build for ALT

* Sat Jul 30 2005 <ch.nolte@fh-wolfenbuettel.de>
- Version 0.7.5

* Mon Jul 25 2005 <ch.nolte@fh-wolfenbuettel.de>
- Update for version 0.7.4
- CVS-Version 0.7.5

* Sat Jul 9 2005 <ch.nolte@fh-wolfenbuettel.de>
- migrated to Fedora Core 4
- added gpg-patch

* Thu Jan 9 2003 - ipwizard (at) user.sourcforge.net
- Added missing files home.html and kmymoney2.css

* Mon Dec 16 2002 - ipwizard (at) user.sourcforge.net
- Removed make command only required for CVS download
- Update version to match filename

* Sun Dec 15 2002 - ipwizard (at) user.sourcforge.net
- Updated for version 0.51

* Tue Jan 15 2002 - ipwizard (at) user.sourcforge.net
- Initial implementation
